package com.ruoyi.system.domain.wx;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 微信支付获取配置信息
 * @Author: tjf
 * @Date: 2024/1/17 14:01*/


@Component
@ConfigurationProperties(prefix = "wx")
public class WxPayV3Bean {
    private String appId;

    private String mchId;

    private String mchSerialNo;

    private String appSecret;

    private String apiKey;

    private String notifyUrl;

    private String keyPath;

    private String jscode2session;

    public String getJscode2session() {
        return jscode2session;
    }

    public void setJscode2session(String jscode2session) {
        this.jscode2session = jscode2session;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getMchSerialNo() {
        return mchSerialNo;
    }

    public void setMchSerialNo(String mchSerialNo) {
        this.mchSerialNo = mchSerialNo;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    @Override
    public String toString() {
        return "WxPayV3Bean{" +
                "appId='" + appId + '\'' +
                ", mchId='" + mchId + '\'' +
                ", mchSerialNo='" + mchSerialNo + '\'' +
                ", appSecret='" + appSecret + '\'' +
                ", apiKey='" + apiKey + '\'' +
                ", notifyUrl='" + notifyUrl + '\'' +
                ", keyPath='" + keyPath + '\'' +
                ", jscode2session='" + jscode2session + '\'' +
                '}';
    }
}
